!{\src2tex{textfont=tt}}
!!****f* ABINIT/dtsetinit
!! NAME
!! dtsetinit
!!
!! FUNCTION
!! Nullify all pointers of a dataset before use.
!!
!! COPYRIGHT
!! Copyright (C) 1998-2009 ABINIT group (DCA, XG, GMR, MF, GZ)
!! This file is distributed under the terms of the
!! GNU General Public License, see ~abinit/COPYING
!! or http://www.gnu.org/copyleft/gpl.txt .
!! For the initials of contributors, see ~abinit/doc/developers/contributors.txt .
!!
!! SIDE EFFECTS
!!  dtset <type(dataset_type)>=nullify all pointers.
!!
!! PARENTS
!!      afterscfloop,cvxclda,driver,kxc_alda,outkss,wvl_memory,xc_kernel
!!
!! CHILDREN
!!
!! INPUTS
!!
!! OUTPUT
!!
!! SOURCE

#if defined HAVE_CONFIG_H
#include "config.h"
#endif

subroutine dtsetInit(dtset)

 use defs_basis
 use defs_datatypes

 implicit none

!Arguments ------------------------------------
!scalars
 type(dataset_type),intent(inout) :: dtset

!Local variables-------------------------------
 
! *************************************************************************
 
 nullify(dtset%rtheta)
 nullify(dtset%qptdm)
 nullify(dtset%algalch)
 nullify(dtset%xred_orig)
 nullify(dtset%kptns)
 nullify(dtset%qmass)
 nullify(dtset%mixalch)
 nullify(dtset%tnons)
 nullify(dtset%nband)
 nullify(dtset%iatfix)
 nullify(dtset%iatsph)
 nullify(dtset%kpt)
 nullify(dtset%symafm)
 nullify(dtset%densty)
 nullify(dtset%corecs)
 nullify(dtset%typat)
 nullify(dtset%numorb)
 nullify(dtset%occ_orig)
 nullify(dtset%dmatpawu)
 nullify(dtset%kptgw)
 nullify(dtset%bdgw)
 nullify(dtset%wtatcon)
 nullify(dtset%jpawu)
 nullify(dtset%wtk)
 nullify(dtset%ziontypat)
 nullify(dtset%rcoord)
 nullify(dtset%shiftk)
 nullify(dtset%kberry)
 nullify(dtset%vel_orig)
 nullify(dtset%amu)
 nullify(dtset%symrel)
 nullify(dtset%so_psp)
 nullify(dtset%istwfk)
 nullify(dtset%ltypeorb)
 nullify(dtset%spinat)
 nullify(dtset%znucl)
 nullify(dtset%upawu)
 nullify(dtset%lexexch)
 nullify(dtset%quadmom)
 nullify(dtset%lpawu)

end subroutine dtsetInit
!!***
